<?php

/**
 * @file
 * This file contains the API of the DvG StUF module.
 */

/**
 * Implements hook_dvg_stuf_bg_soap_options().
 *
 * Use this hook to alter the SOAP options. For example if you need to add a SSL handshake:
 */
function hook_dvg_stuf_bg_soap_options() {
  $opts = array(
    'ssl' => array(
      'verify_peer'=>false,
      'verify_peer_name'=>false,
      'local_cert' => variable_get('mymod_soap_local_cert',''),
      'passphrase' => decrypt(variable_get('mymod_soap_encrypted_passphrase','')),
    ),
  );
  $options['local_cert'] = variable_get('mymod_soap_local_cert','');
  $options['passphrase'] = decrypt(variable_get('mymod_soap_encrypted_passphrase',''));
  $options['stream_context'] = stream_context_create($opts);
}

